Dark Reading is part of the Informa Tech Division of Informa PLC

This site is operated by a business or businesses owned by Informa PLC and all copyright resides with them.Informa PLC's registered office is 5 Howick Place, London SW1P 1WG. Registered in England and Wales. Number 8860726.

Risk

1/14/2009
10:31 AM
Keith Ferrell
Keith Ferrell
Commentary
50%
50%

Popup Phishing: Online Banking In-Session Phish Need No E-Mail Hook

A new research report shows a new phishing vector -- one that can take place inside supposedly secure banking and other protected session, using a pop-up window rather an e-mail to fool their victims. According to researchers, every browser is vulnerable to the exploit. It's called in-session phishing, and it has the potential to be very troublesome.

A new research report shows a new phishing vector -- one that can take place inside supposedly secure banking and other protected session, using a pop-up window rather an e-mail to fool their victims. According to researchers, every browser is vulnerable to the exploit. It's called in-session phishing, and it has the potential to be very troublesome.Researchers at secure transaction protection firm Trusteer have announced a new phishing strategy aimed at customers during secure transactions such as online banking.

This one's particularly nasty for a bunch of reasons.

For one thing, it uses no e-mail to place the hook in in front of the user, dropping in via a popup containing malicious links and requests for information.

For another, even more disturbing reason,the popup appears while the user is actually engaged in an https sessions. The popup, indeed, appears to be from the institution itself, the bank the user is doing business with, for example.

Third, and this one may be the most worrisome of all, no malware resides on the user's computer, meaning that there's nothing there for anti-malware tools to detect. Because the attack comes from outside the secure site via your browser, the site's lock stays locked, the green (or yellow for older browsers) doesn't change, and you have no reason to think that your security's been compromised.

Works like this: the popup phish generator resides on infected Web sites, of which there are plenty. many of them legit. If the user is visiting one of those sites while engaged in a secure transaction, the in-session phish generator takes advantage of a JavaScript function (unspecified by Trusteer) and fashions a popup based on browser information about the institution the user is working with and sends it forth. According to Trusteer, the vulnerability exists in all major browsers.

The result: As most of us have become accustomed to doing, you're banking away, assuming that the https and SSL certificate ensure a private safe, transaction. A popup that appears to be from your bank appears, requesting additional information.

Provide the information, click the link and you've been phished.

So far there's no evidence of this one in the wild, but that's only a matter of time, as with any newly discovered vulnerability.

Some strategies you can practice to protect yourself:

Don't have any other Web pages open while you're performing banking or other secure transactions.

Log out of banking completely before going to any other Web sites.

Never respond to any popup, however legit it looks, while engaged in a secure transaction (or doing anything else, would be my advice.)

As noted, in-session phishing hasn't, well, popped up in the wild, but that hardly means it won't. Pass the word.

Trusteer's In-Session Phishing Advisory can be found here.

 

Recommended Reading:

Comment  | 
Print  | 
More Insights
Comments
Newest First  |  Oldest First  |  Threaded View
COVID-19: Latest Security News & Commentary
Dark Reading Staff 7/31/2020
'BootHole' Vulnerability Exposes Secure Boot Devices to Attack
Kelly Sheridan, Staff Editor, Dark Reading,  7/29/2020
Out-of-Date and Unsupported Cloud Workloads Continue as a Common Weakness
Robert Lemos, Contributing Writer,  7/28/2020
Register for Dark Reading Newsletters
White Papers
Video
Cartoon Contest
Current Issue
Special Report: Computing's New Normal, a Dark Reading Perspective
This special report examines how IT security organizations have adapted to the "new normal" of computing and what the long-term effects will be. Read it and get a unique set of perspectives on issues ranging from new threats & vulnerabilities as a result of remote working to how enterprise security strategy will be affected long term.
Flash Poll
The Threat from the Internetand What Your Organization Can Do About It
The Threat from the Internetand What Your Organization Can Do About It
This report describes some of the latest attacks and threats emanating from the Internet, as well as advice and tips on how your organization can mitigate those threats before they affect your business. Download it today!
Twitter Feed
Dark Reading - Bug Report
Bug Report
Enterprise Vulnerabilities
From DHS/US-CERT's National Vulnerability Database
CVE-2020-14310
PUBLISHED: 2020-07-31
There is an issue on grub2 before version 2.06 at function read_section_as_string(). It expects a font name to be at max UINT32_MAX - 1 length in bytes but it doesn't verify it before proceed with buffer allocation to read the value from the font value. An attacker may leverage that by crafting a ma...
CVE-2020-14311
PUBLISHED: 2020-07-31
There is an issue with grub2 before version 2.06 while handling symlink on ext filesystems. A filesystem containing a symbolic link with an inode size of UINT32_MAX causes an arithmetic overflow leading to a zero-sized memory allocation with subsequent heap-based buffer overflow.
CVE-2020-5413
PUBLISHED: 2020-07-31
Spring Integration framework provides Kryo Codec implementations as an alternative for Java (de)serialization. When Kryo is configured with default options, all unregistered classes are resolved on demand. This leads to the "deserialization gadgets" exploit when provided data contains mali...
CVE-2020-5414
PUBLISHED: 2020-07-31
VMware Tanzu Application Service for VMs (2.7.x versions prior to 2.7.19, 2.8.x versions prior to 2.8.13, and 2.9.x versions prior to 2.9.7) contains an App Autoscaler that logs the UAA admin password. This credential is redacted on VMware Tanzu Operations Manager; however, the unredacted logs are a...
CVE-2019-11286
PUBLISHED: 2020-07-31
VMware GemFire versions prior to 9.10.0, 9.9.1, 9.8.5, and 9.7.5, and VMware Tanzu GemFire for VMs versions prior to 1.11.0, 1.10.1, 1.9.2, and 1.8.2, contain a JMX service available to the network which does not properly restrict input. A remote authenticated malicious user may request against the ...